rc_own_hostname(3)

NAME
rc_own_hostname - Get the hostname of this machine.

SYNOPSIS
#include <radcli/>

int rc_own_hostname(
    char    *hostname,
    int      len
);

DESCRIPTION

PARAMETERS

hostname
    will hold the name of the host.

len the size of hostname.

RETURN VALUE

-1 on failure, 0 on success.

SEE ALSO

rc_get_srcaddr(3), rc_getport(3), rc_openlog(3), rc_setdebug(3)